Update CHANGELOG for PR #3831
Silence GCC false positive strncopy warning which causes debug build failures

Closes #3806
Silence gcc false positive

The strncat call is perfectly safe. It wasn't previously giving a warning
but as of gcc-11, that is no longer the case.

Closes #3806
Silence gcc false positive

The strncat call is perfectly safe. It wasn't previously giving a warning
but as of gcc-11, that is no longer the case.

Closes #3806
Silence gcc false positive

The strncat call is perfectly safe. It wasn't previously giving a warning
but as of gcc-11, that is no longer the case.

Closes #3806
Silence gcc false positive

The strncat call is perfectly safe. It wasn't previously giving a warning
but as of gcc-11, that is no longer the case.

Closes #3806
Silence gcc false positive

The strncat call is perfectly safe. It wasn't previously giving a warning
but as of gcc-11, that is no longer the case.

Closes #3806
Silence gcc false positive

The strncat call is perfectly safe. It wasn't previously giving a warning
but as of gcc-11, that is no longer the case.

Closes #3806
Silence gcc false positive

The strncat call is perfectly safe. It wasn't previously giving a warning
but as of gcc-11, that is no longer the case.

Closes #3806
Silence gcc false positive

The strncat call is perfectly safe. It wasn't previously giving a warning
but as of gcc-11, that is no longer the case.

Closes #3806
Silence gcc false positive

The strncat call is perfectly safe. It wasn't previously giving a warning
but as of gcc-11, that is no longer the case.

Closes #3806
